libeventの開発版の2.1.xでのopensslとの連携での安定版(2.0.x)との非互換問題かも

bufferevent_socket_new

その後

bufferevent_openssl_filter_new

でopensslと連携させようとしたら、その後、意図したソケットの送受信のイベントで、
コールバックが呼ばれなかった。

bufferevent_openssl_socket_new

で生成時にopensslと連携したAPIを使ったら、意図したソケットの送受信の
イベントが受け取れた。

まとめ

バージョン違うんだから非互換性問題ってわけじゃないかもだが、
2.1系でも割とそのまま2.0のコードが動く感じだったので、この違いは結構
大きいかなといった感想を持った。

関連記事